gstreamermm: Gst::Tee Class Reference

# Gst::Tee Class Reference
[gstreamermm Plugins]

Gst::Tee - tee plugin. More...

`#include <tee.h>`

Inheritance diagram for Gst::Tee:

List of all members.

## Public Member Functions
virtual | ~Tee ()
GstTee* | gobj ()
| Provides access to the underlying C GObject.
const GstTee* | gobj () const
| Provides access to the underlying C GObject.
GstTee* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly<int> | property_num_src_pads () const
| The number of source pads.
Glib::PropertyProxy<bool> | property_has_sink_loop ()
| If the element should spawn a thread (unimplemented and deprecated).
Glib::PropertyProxy_ReadOnly <bool> | property_has_sink_loop () const
| If the element should spawn a thread (unimplemented and deprecated).
Glib::PropertyProxy<bool> | property_has_chain ()
| If the element can operate in push mode.
Glib::PropertyProxy_ReadOnly <bool> | property_has_chain () const
| If the element can operate in push mode.
Glib::PropertyProxy<bool> | property_silent ()
| Don't produce last_message events.
Glib::PropertyProxy_ReadOnly <bool> | property_silent () const
| Don't produce last_message events.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_last_message () const
| The message describing current status.
Glib::PropertyProxy<TeePullMode> | property_pull_mode ()
| Behavior of tee in pull mode.
Glib::PropertyProxy_ReadOnly <TeePullMode> | property_pull_mode () const
| Behavior of tee in pull mode.
## Static Public Member Functions
static Glib::RefPtr<Tee> | create ()
| Creates a new tee plugin with a unique name.
static Glib::RefPtr<Tee> | create (const Glib::ustring& name)
| Creates a new tee plugin with the given name.
## Protected Member Functions
| Tee ()
| Tee (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::Tee> | wrap (GstTee* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::Tee - tee plugin.

Please include <gstreamermm/tee.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::Tee::~Tee | ( |  | ) | `[virtual]`

Gst::Tee::Tee | ( |  | ) | `[protected]`

Gst::Tee::Tee | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstTee* Gst::Tee::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstTee* Gst::Tee::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTee* Gst::Tee::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

static Glib::RefPtr<Tee> Gst::Tee::create | ( |  | ) | `[static]`

Creates a new tee plugin with a unique name.

static Glib::RefPtr<Tee> Gst::Tee::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new tee plugin with the given name.

Glib::PropertyProxy_ReadOnly<int> Gst::Tee::property_num_src_pads | ( |  | ) | const

The number of source pads.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Tee::property_has_sink_loop | ( |  | ) |

If the element should spawn a thread (unimplemented and deprecated).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Tee::property_has_sink_loop | ( |  | ) | const

If the element should spawn a thread (unimplemented and deprecated).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Tee::property_has_chain | ( |  | ) |

If the element can operate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Tee::property_has_chain | ( |  | ) | const

If the element can operate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::Tee::property_silent | ( |  | ) |

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::Tee::property_silent | ( |  | ) | const

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::Tee::property_last_message | ( |  | ) | const

The message describing current status.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<TeePullMode> Gst::Tee::property_pull_mode | ( |  | ) |

Behavior of tee in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<TeePullMode> Gst::Tee::property_pull_mode | ( |  | ) | const

Behavior of tee in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::Tee> wrap | ( | GstTee * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- tee.h